Subject: Re: [netatalk-admins] netatalk & kerberos 5 auth?

From: [email-masked] (William P. McGonigle)
Date: 08 Jan 98 13:51:35 EST

--- "Leo Wierzbowski" wrote:
Is there a way to make netatalk (freebsd, but could switch to linux if
needed) do a krb5 authentication when it gets the username and
password from a stock appleshare client?
--- end of quote ---

I only went partly down this road, but I believe the answer is that you run the
Kerberos 4 compatibility server with your Kerberos 5 KDC.  It seemed you also
needed AFS for the authentication, and you have to apply a mod to AFS to get it
to use Kerberos-standard encryption.  I'm unclear, as I stopped when I found
that to get AFS now, you've got to call your Transarc sales rep.

-Bill